* {
    margin: 0;
    box-sizing: border-box;
}

:root {
    --shade-0: #f0f8ff;
    --shade-1: #d8e4eb;
    --shade-2: #c0d0d7;
    --shade-3: #a8bcc3;
    --shade-4: #90a8af;
    --shade-5: #78949b;
}

body {
    background-color: var(--shade-0);
    font-family: monospace;
}

main {
    width: calc(100% - 280px);
    margin-left: auto;
    padding: 16px;
}

.Page_header {
    display: flex;
    background-color: white;
    flex-direction: column;
    width: 280px;
    height: 100svh;
    overflow-y: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;
    position: fixed;
}

.Page_header::-webkit-scrollbar {
    display: none;
}

.Page_header_heading {
    width: 100%;
    flex-shrink: 0;
    padding: 12px;
    border-bottom: 1px solid var(--shade-2);
    font-size: 32px;
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 2;
}

.Page_header_heading a {
    text-decoration: none;
    color: black;
}

.Page_header_menu {
    display: flex;
}

.Page_header_copyright {
    transform-origin: center center;
    font-weight: bold;
    writing-mode: vertical-rl;
    letter-spacing: 4px;
    padding: 12px;
    height: 100%;
    border-right: 1px solid var(--shade-2);
    position: relative;
}

.Page_header_copyright::after {
    content: '';
    position: fixed;
    width: 8px;
    height: 40px;
    bottom: 6px;
    left: 15px;
    background-color: black;
}

.Page_header_container {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.Page_header_container a {
    padding: 12px;
    text-decoration: none;
    width: 100%;
    color: black;
    font-size: 16px;
}

.Page_header_container a:hover,
.Active_page_link {
    background-color: var(--shade-1);
}